<?php

return [
    'app' => [
        'name' => 'October CMS',
        'tagline' => 'Getting back to basics',
    ],
    'locale' => [
        'en' => 'Anglais',
        'nl' => 'Néerlandais',
        'ja' => 'Japonais',
        'se' => 'Suédois',
        'tr' => 'Turque',
        'de' => 'Allemand',
        'ru' => 'Russe',
        'fr' => 'Français',
        'pt-br' => 'Portugais-Brésilien',
        'fa' => 'Persian',
    ],
    'directory' => [
        'create_fail' => "Impossible de créer le répertoire : :name",
    ],
    'file' => [
        'create_fail' => "Impossible de créer le fichier : :name",
    ],
    'combiner' => [
        'not_found' => "Le fichier combiner ':name' est introuvable.",
    ],
    'system' => [
        'name' => 'Système',
        'menu_label' => 'Système',
        'categories' => [
            'cms' => 'CMS',
            'misc' => 'Divers',
            'logs' => 'Logs',
            'mail' => 'Email',
            'shop' => 'Boutique',
            'team' => 'Equipe',
            'users' => 'Utilisateurs',
            'system' => 'Système',
            'social' => 'Social',
            'events' => 'Evénement',
            'customers' => 'Clients',
            'my_settings' => 'Mes réglages',
        ],
    ],
    'plugin' => [
        'unnamed' => 'Plugin sans nom',
        'name' => [
            'label' => 'Nom du plugin',
            'help' => 'Nommer le plugin avec son nom de code unique. Par exemple, RainLab.Blog',
        ],
    ],
    'plugins' => [
        'manage' => 'Gérer les plugins',
        'enable_or_disable' => 'Activer ou désactiver',
        'enable_or_disable_title' => 'Activer ou désactiver les plugins',
        'remove' => 'Supprimer',
        'refresh' => 'Actualiser',
        'disabled_label' => 'Désactivé',
        'disabled_help' => 'Les plugins désactivés sont ignoré par l\'application.',
        'selected_amount' => 'Plugins selectionés : :amount',
        'remove_success' => "Les plugins ont été supprimés avec succès.",
        'refresh_success' => "Les plugins ont été actualisés avec succès.",
        'disable_success' => "Les plugins ont été désactivés avec succès.",
        'enable_success' => "Les plugins ont correctement été activés avec succès.",
    ],
    'project' => [
        'name' => 'Projet',
        'owner_label' => 'Auteur',
        'attach' => 'Attacher un projet',
        'detach' => 'Détacher le Projet',
        'none' => 'Aucun',
        'id' => [
            'label' => 'Projet ID',
            'help' => 'Comment trouver votre project ID',
            'missing' => 'Spécifier un ID de project.',
        ],
        'detach_confirm' => 'Êtes-vous sûr de vouloir detacher ce projet?',
        'unbind_success' => 'Le projet a été detaché avec succès.',
    ],
    'settings' => [
        'menu_label' => 'Réglages',
        'missing_model' => 'La page de réglages nécéssite une définition de modèle.',
        'update_success' => 'Les réglages pour :name ont étés correctement mis à jour.',
        'return' => 'Retourner a la page des reglages système',
        'search' => 'Rechercher'
    ],
    'mail' => [
        'menu_label' => 'Configuration des emails',
        'menu_description' => 'Gérer la configuration des emails.',
        'general' => 'Generale',
        'method' => 'Méthode d\'envoi',
        'sender_name' => 'Nom de l\'expéditeur',
        'sender_email' => 'Email de l\'expéditeur',
        'smtp' => 'SMTP',
        'smtp_address' => 'Adresse SMTP',
        'smtp_authorization' => 'Authentification SMTP requise',
        'smtp_authorization_comment' => 'Cochez cette case si votre serveur SMTP nécéssite une authentification.',
        'smtp_username' => 'Identifiant',
        'smtp_password' => 'Mot de passe',
        'smtp_port' => 'Port SMTP',
        'smtp_ssl' => 'Connection SSL requise',
        'sendmail' => 'Sendmail',
        'sendmail_path' => 'Chemin vers Sendmail',
        'sendmail_path_comment' => 'Spécifiez le chemin du programme sendmail.',
    ],
    'mail_templates' => [
        'menu_label' => 'Modèles des emails',
        'menu_description' => 'Gérer les modèles et layouts des emails envoyés par l\'administration.',
        'new_template' => 'Nouveau modèle',
        'new_layout' => 'Nouveau Layout',
        'template' => 'Modèle',
        'templates' => 'Modèles',
        'menu_layouts_label' => 'Layouts des emails',
        'layout' => 'Layout',
        'layouts' => 'Layouts',
        'name' => 'Nom',
        'name_comment' => 'Nom unique utilisé pour identifier ce modèle',
        'code' => 'Code',
        'code_comment' => 'Code unique utilisé pour identifier ce modèle',
        'subject' => 'Sujet',
        'subject_comment' => 'Sujet de l\'Email',
        'description' => 'Description',
        'content_html' => 'HTML',
        'content_css' => 'CSS',
        'content_text' => 'Plaintext',
        'test_send' => 'Envoyer un message de test',
        'test_success' => 'Le message de test a été envoyé avec succès.',
        'return' => 'Retour à la liste des modèles.'
    ],
    'install' => [
        'project_label' => 'Attacher un project',
        'plugin_label' => 'Installer un plugin',
        'missing_plugin_name' => 'Merci de spécifier le nom d\'un Plugin à installer.',
        'install_completing' => 'Fin du processus d\'installation',
        'install_success' => 'Le plugin a été installé avec succès.',
    ],
    'updates' => [
        'title' => 'Gérer les mises à jour',
        'name' => 'Mise à jour',
        'menu_label' => 'Mise à jour',
        'menu_description' => 'Mise à jour du système, gestion et installation des plugins et thèmes.',
        'check_label' => 'Vérifier les mises à jour',
        'retry_label' => 'Réessayer',
        'plugin_name' => 'Nom',
        'plugin_description' => 'Description',
        'plugin_version' => 'Version',
        'plugin_author' => 'Auteur',
        'core_build' => 'Version actuelle',
        'core_build_old' => 'Version actuelle :build',
        'core_build_new' => 'Version :build',
        'core_build_new_help' => 'Une nouvelle version est disponible.',
        'core_downloading' => 'Téléchargement des fichiers de l\'application',
        'core_extracting' => 'Décompression des fichiers de l\'application',
        'plugin_downloading' => 'Téléchargement du plugin : :name',
        'plugin_extracting' => 'Décompression du plugin : :name',
        'plugin_version_none' => 'Nouveau plugin',
        'plugin_version_old' => 'Actuelle v:version',
        'plugin_version_new' => 'v:version',
        'theme_label' => 'Thème',
        'theme_new_install' => 'Installation du nouveau thème.',
        'theme_downloading' => 'Téléchargement du thème : :name',
        'theme_extracting' => 'Décompression du thème : :name',
        'update_label' => 'Mettre à jour',
        'update_completing' => 'Finalisation du processus de mise à jour',
        'update_loading' => 'Chargement des mises à jour disponibles...',
        'update_success' => 'Mise à jour terminée avec succès.',
        'update_failed_label' => 'Echec de la mise à jour',
        'force_label' => 'Forcer la mise à jour',
        'found' => [
            'label' => 'Nouvelle mise à jour disponible!',
            'help' => 'Cliquez sur Mettre à jour pour démarrer le processus.',
        ],
        'none' => [
            'label' => 'Aucune mise à jour disponible.',
            'help' => 'Aucune donnée de mise à jour applicable trouvée.',
        ],
    ],
    'server' => [
        'connect_error' => 'Erreur lors de la connection au serveur.',
        'response_not_found' => 'La mise à jour du serveur n\'a pas été trouvé.',
        'response_invalid' => 'Réponse invalide du serveur.',
        'response_empty' => 'Réponse vide du serveur',
        'file_error' => 'Erreur du serveur lorsqu\'il tenta de délivrer le paquet.',
        'file_corrupt' => 'Le fichier venant du serveur est corrompu.',
    ],
    'behavior' => [
        'missing_property' => 'Class :class must define property $:property used by :behavior behavior.',
    ],
    'config' => [
        'not_found' => 'Unable to find configuration file :file defined for :location.',
        'required' => "Configuration used in :location must supply a value ':property'.",
    ],
    'zip' => [
        'extract_failed' => "Impossible de décompresser le fichier ':file'.",
    ],
    'event_log' => [
        'hint' => 'Ce journal affiche une liste des erreurs potentielles dans l\'application, telle que des exceptions et des informations de déboggage.',
        'menu_label' => 'Journal des événements',
        'menu_description' => 'Affiche les événements du système avec la date et details.',
        'empty_link' => 'Vider le journal des événements',
        'empty_loading' => 'Vidage du journal des évènements...',
        'empty_success' => 'Le journal des évènement a été vidé avec succès.',
        'return_link' => 'Retour au journal des événements',
        'id' => 'ID',
        'id_label' => 'événement ID',
        'created_at' => 'Date & heure',
        'message' => 'Message',
        'level' => 'Level',
    ],
    'request_log' => [
        'hint' => 'Ce journal affiche une liste de requêtes potentiellement suspectes. par exemple, si un visiteur ouvre une page de CMS introuvable, une ligne avec le status code 404 est alors crée.',
        'menu_label' => 'Journal des requêtes',
        'menu_description' => 'Affiche les requêtes erronées ou redirigées, comme les erreurs 404.',
        'empty_link' => 'Vider le journal des requêtes',
        'empty_loading' => 'Vidage du journal des requêtes...',
        'empty_success' => 'Le journal des requêtes a été vidé avec succès.',
        'return_link' => 'Retour au journal des requêtes',
        'id' => 'ID',
        'id_label' => 'Log ID',
        'count' => 'Compteur',
        'referer' => 'Référer',
        'url' => 'URL',
        'status_code' => 'Statut',
    ],
];
